---
lang: en
title: 'API docs: authentication.userprofilefactory'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.userprofilefactory.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [UserProfileFactory](./authentication.userprofilefactory.md)

## UserProfileFactory interface

interface definition of a factory function which accepts a user definition and returns the user profile

**Signature:**

```typescript
export interface UserProfileFactory<U> 
```

